Get the content of an uploaded attachment
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}/content
Path Parameters
- clientIdstringrequiredDescription
- attachmentIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/octet-streamAllowedapplication/octet-streamapplication/vnd.optivo.broadmail.v1+json
Responses
200
404
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}/content \
--header 'accept: application/octet-stream'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/octet-stream");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}/content", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}/content")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/octet-stream"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/attachments/{attachmentId}/content"
payload = {}
headers = {
'accept': 'application/octet-stream',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The uploaded content attachment was downloaded successfully.
404
// The attachment could not be found. Ensure that the required parameters such as "attachmentId" are correct and the attachment exists.